connect to <database> user <db2admin> using <db2admin_pwd>@
SET CURRENT SCHEMA <user>@
DROP FUNCTION GETPACKAGENAME@

CREATE FUNCTION GETPACKAGENAME( schema VARCHAR(32), proc VARCHAR(128) )
  RETURNS TABLE(PACKAGENAME VARCHAR(40))
  LANGUAGE SQL
  READS SQL DATA
  NO EXTERNAL ACTION
  DETERMINISTIC
  RETURN SELECT bschema || '.' || bname
          FROM sysibm.sysdependencies, syscat.procedures
          WHERE dname = specificname
          AND dtype = 'L'
          AND dschema = UCASE(GETPACKAGENAME.schema)
          AND procname = UCASE(GETPACKAGENAME.proc)@

EXPORT TO <script_path>\grant.sql OF DEL MODIFIED BY chardel;
  SELECT  chr(10) || 'GRANT EXECUTE ON PACKAGE ' || PACKAGENAME || ' TO USER <user>' 
    FROM TABLE(<user>.GETPACKAGENAME('<user>','rqdrop_views')) AS X
  UNION
   SELECT chr(10) || 'GRANT EXECUTE ON PACKAGE ' || PACKAGENAME || ' TO USER <user>' 
     FROM TABLE(<user>.GETPACKAGENAME('<user>','rqdrop_view')) AS Y 
  UNION
   SELECT chr(10) || 'GRANT EXECUTE ON PACKAGE ' || PACKAGENAME || ' TO USER <user>' 
     FROM TABLE(<user>.GETPACKAGENAME('<user>','rqdelete_project')) AS Z@
